package com.example.bpa.view.fragment;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.appcompat.app.AppCompatActivity;
import androidx.fragment.app.Fragment;
import androidx.fragment.app.FragmentManager;
import androidx.fragment.app.FragmentTransaction;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;

import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import com.example.bpa.R;
import com.example.bpa.config.DataBus;
import com.example.bpa.helper.WrapContentLinearLayoutManager;
import com.example.bpa.view.adapter.devstatus_adapter;
import com.example.bpa.view.adapter.maingoods_adapter;
import com.example.bpa.view.adapter.makegood_adapter;
import com.example.bpa.view.control.MyLayoutManager;
import com.example.bpa.view.fragment.setting.mqttparameter;
import com.example.bpa.view.fragment.setting.ovarparameter;
import com.example.bpa.view.fragment.setting.systemparameter;
import com.example.bpa.view.mode.StatusMode;

import java.util.ArrayList;

public class SsjkFragment extends Fragment implements View.OnClickListener {

    View view;
    RecyclerView recyclerView;

    devstatus_adapter adapter;
    @Nullable
    @Override
    public View onCreateView(@NonNull LayoutInflater inflater, @Nullable ViewGroup container, @Nullable Bundle savedInstanceState) {
        view = inflater.inflate(R.layout.fragment_ssjk, container,false);
        Initdata();
        Init();
        initEvent();
        return view;
    }

    private void Init() {
        recyclerView = view.findViewById(R.id.recycler_view);

        MyLayoutManager layout = new MyLayoutManager();
        layout.setAutoMeasureEnabled(true);
        recyclerView.setLayoutManager(layout);
        adapter = new devstatus_adapter(getContext());
        recyclerView.setAdapter(adapter);
    }

    private void initEvent() {

    }
    /**
     * 初始化数据加载
     */
    public void Initdata()
    {
        try{
            DataBus.getInstance().statusModes=new ArrayList<>();
            DataBus.getInstance().statusModes.add(new StatusMode("杯子检测",R.mipmap.gd1,R.mipmap.gd2,true));
            DataBus.getInstance().statusModes.add(new StatusMode("蠕动泵(一)",R.mipmap.rdl1,R.mipmap.rdl2,false));
            DataBus.getInstance().statusModes.add(new StatusMode("蠕动泵(二)",R.mipmap.rdl1,R.mipmap.rdl2,false));
            DataBus.getInstance().statusModes.add(new StatusMode("蠕动泵(三)",R.mipmap.rdl1,R.mipmap.rdl2,false));
            DataBus.getInstance().statusModes.add(new StatusMode("蠕动泵(四)",R.mipmap.rdl1,R.mipmap.rdl2,false));
            DataBus.getInstance().statusModes.add(new StatusMode("蠕动泵(五)",R.mipmap.rdl1,R.mipmap.rdl2,false));
            DataBus.getInstance().statusModes.add(new StatusMode("果糖泵(左)",R.mipmap.rdl1,R.mipmap.rdl2,true));
            DataBus.getInstance().statusModes.add(new StatusMode("果糖泵(右)",R.mipmap.rdl1,R.mipmap.rdl2,false));

            DataBus.getInstance().statusModes.add(new StatusMode("离心泵(一)",R.mipmap.lxl1,R.mipmap.lxl2,false));
            DataBus.getInstance().statusModes.add(new StatusMode("离心泵(二)",R.mipmap.lxl1,R.mipmap.lxl2,false));
            DataBus.getInstance().statusModes.add(new StatusMode("离心泵(三)",R.mipmap.lxl1,R.mipmap.lxl2,false));
            DataBus.getInstance().statusModes.add(new StatusMode("离心泵(四)",R.mipmap.lxl1,R.mipmap.lxl2,true));
            DataBus.getInstance().statusModes.add(new StatusMode("离心泵(五)",R.mipmap.lxl1,R.mipmap.lxl2,false));

            DataBus.getInstance().statusModes.add(new StatusMode("出水阀",R.mipmap.csf1,R.mipmap.csf2,false));
            DataBus.getInstance().statusModes.add(new StatusMode("进水阀",R.mipmap.jsf1,R.mipmap.jsf2,false));

            DataBus.getInstance().statusModes.add(new StatusMode("清洗剂泵",R.mipmap.lxl1,R.mipmap.lxl2,false));

            DataBus.getInstance().statusModes.add(new StatusMode("电机传感器(左)",R.mipmap.djcgq1,R.mipmap.djcgq2,false));
            DataBus.getInstance().statusModes.add(new StatusMode("电机传感器(右)",R.mipmap.djcgq1,R.mipmap.djcgq2,false));
            DataBus.getInstance().statusModes.add(new StatusMode("清洗池浮球",R.mipmap.fq1,R.mipmap.fq2,false));

            DataBus.getInstance().statusModes.add(new StatusMode("加热启停(左)",R.mipmap.yx1,R.mipmap.yx2,false));
            DataBus.getInstance().statusModes.add(new StatusMode("加热启停(右)",R.mipmap.yx1,R.mipmap.yx2,false));
            DataBus.getInstance().statusModes.add(new StatusMode("清洗加热",R.mipmap.yx1,R.mipmap.yx2,false));
            //adapter.refresh();
        }catch(Exception e){

        }
    }

    @Override
    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.stparameter://系統參數設置

                break;
            case R.id.mqttparameter://MQTT配置

                break;
            case R.id.overparameter://其他设置

                break;
        }
    }
}